<?php
/**
 * @version     1.0.0
 * @package     com_sp_orders
 * @copyright   http://Atoll-it.ru Copyright (C) 2013. All rights reserved.
 * @license     Proprietary software
 * @author      Atolloc <develop@atoll-it.ru> - http://atoll-it.ru
 */
// no direct access
defined('_JEXEC') or die;
?>
<script type="text/javascript">
    function deleteItem(item_id){
        if(confirm("<?php echo JText::_('COM_SP_POSTANOVLENIYA_DELETE_MESSAGE'); ?>")){
            document.getElementById('form-filespostanovlenie-delete-' + item_id).submit();
        }
    }
</script>

<?php

function formati_baitov($baiti) {
  if ($baiti < 1024) {
    return $baiti . ' б';
  } elseif ($baiti < 1048576) {
    return round($baiti / 1024, 2) . ' Kб';
  } elseif ($baiti < 1073741824) {
    return round($baiti / 1048576, 2) . ' Мб';
  } elseif ($baiti < 1099511627776) {
    return round($baiti / 1073741824, 2) . ' Гб';
  }
}
?>

<div class="items item-page">
  <h2> Постановления Администрации </h2>

  <?php $show = false; ?>
    <?php
		$dates = $this->state->{'dates.links'};
		$uri = JUri::getInstance();
		?>
        <style>
            .date-link-list li {
                display: inline-block;
            }
            .date-link-list {
                list-style: none;
                text-align: center;
            }
            .date-link {
                font-size: 14px;
                display: block;
                background: gray;
                color: #fff;
                padding: 5px;
            }
            .date-link:hover {
                background: #14a547;
            }
            .date-link-active {
                background: #14a547;
            }
        </style>
    <ul class="date-link-list">
        <li>
            <a class="date-link <?= !isset($_GET['year']) || empty($_GET['year']) ? 'date-link-active' : '' ?>" href="<?php echo $uri->getPath() ?>">Все</a>
        </li>
        <?php foreach($dates as $yearVal): ?>
            <li>
                <a class="date-link <?= isset($_GET['year']) && $_GET['year'] === $yearVal ? 'date-link-active' : '' ?>" href="<?php echo $uri->getPath() . '?year=' . $yearVal ?>"><?= $yearVal ?></a>
            </li>
        <?php endforeach; ?>
    </ul>

  <?php foreach ($this->items as $item) : ?>

    <?php
    if ($item->state == 1 || ($item->state == 0 && JFactory::getUser()->authorise('core.edit.own', ' com_sp_orders'))):
      $show = true;
      ?>

      <?php 
      
      $count = preg_match('/https:\/\/|http:\/\//', $item->file);
   
      
      if (!$count){
$path = 'docs'. DIRECTORY_SEPARATOR . 'orders' . DIRECTORY_SEPARATOR . $item->file;
} else {
$path = $item->file;
}
      
      ?>

      <div class="b27-table">
        <div class="b26-tableItem">
          <div class="b26-tableItem-1">
            <div class="per125 empty"> </div>
            <div class="per66">
              <h3>
                <a target="_blank" href="<?php echo $path ?>">
                  <span id="selection_index20" class="selection_index"></span>
                  <?php echo $item->name; ?>
                </a>
              </h3>
            </div>
            <div class="links">
              <div class="per50">
                <p class="link">
                  <a  target="_blank" title="<?php echo $item->ext; ?>" href="<?php echo $path ?>">
                    <span id="selection_index21" class="selection_index"></span>
                    <?php if (!$count){ echo formati_baitov(filesize($path)); } ?>
                  </a>
                </p>
                <p class="type">
                  <a class="pdf" target="_blank" title="<?php echo $item->ext; ?>" href="<?php echo $path ?>">
                    <span id="selection_index22" class="selection_index"></span>
                    <?php echo $item->ext; ?>
                  </a>
                </p>
              </div>
            </div>
          </div>
        </div>
      </div>
    <?php endif; ?>

  <?php endforeach; ?>
  <?php
  if (!$show):
    echo JText::_('COM_SP_POSTANOVLENIYA_NO_ITEMS');
  endif;
  ?>

</div>
<?php if ($show): ?>
  <div class="pagination">
    <p class="counter">
      <?php echo $this->pagination->getPagesCounter(); ?>
    </p>
    <?php echo $this->pagination->getPagesLinks(); ?>
  </div>
<?php endif; ?>



